Force the EHCI watchdog timer off during suspend, in case for some
reason it was still running after the root hub suspended.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>

--- 1.48/drivers/usb/host/ehci-hub.c	2005-03-30 18:43:39 -08:00
+++ edited/drivers/usb/host/ehci-hub.c	2005-05-08 13:10:01 -07:00
@@ -72,6 +72,7 @@
 	}
 
 	/* turn off now-idle HC */
+	del_timer_sync (&ehci->watchdog);
 	ehci_halt (ehci);
 	hcd->state = HC_STATE_SUSPENDED;
 
